library teamdrt_firebase_package;

import 'package:flutter/cupertino.dart';

/// Login Methods for Firebase
/// Make sure to initialise FirebaseApp before calling these methods
/// These Services will help you help you implement Login and SignUp methods for firebase
///

class AuthService{
  Future<bool> signInWithEmailAndPassword(@required String email,@required String password)async{}
  Future<bool> signUpWithEmailAndPassword(@required String email,@required String password)async{}
  Future<bool> signInWithPhoneNumber(@required String phoneNumber)async{}
  Future<bool> signUpWithPhoneNumber(@required String phoneNumber)async{}
  Future<bool> resetPassword()async{}
}

class FirebaseAuthService implements AuthService{
  @override
  Future<bool> resetPassword() async{
   return true;
  }

  @override
  Future<bool> signInWithEmailAndPassword(String email, String password) async{
    return true;
  }

  @override
  Future<bool> signInWithPhoneNumber(String phoneNumber) async{
    return true;
  }

  @override
  Future<bool> signUpWithEmailAndPassword(String email, String password) async{
    return true;
  }

  @override
  Future<bool> signUpWithPhoneNumber(String phoneNumber) async{
    return true;
  }


}
